%{?scl:%scl_package felix-scr-generator}
%{!?scl:%global pkg_name %{name}}
%global project   felix
%global bundle    org.apache.felix.scr.generator
Name:          %{?scl_prefix}felix-scr-generator
Version:       1.12.0
Release:       3%{?dist}
Summary:       Descriptor Generator Implementation
License:       ASL 2.0
URL:           http://felix.apache.org/

# For building from source tarball
#Source0:        http://www.apache.org/dist/felix/%{name}-%{version}-source-release.tar.gz

# For building from version control
# The source for this package was built from upstream's vcs. Use the following
# commands to generate the tarball:
# svn checkout http://svn.apache.org/repos/asf/felix/releases/org.apache.felix.scr.generator-1.12.0
# tar -cJvf org.apache.felix.scr.generator-1.12.0.tar.gz org.apache.felix.scr.generator-1.12.0
Source0:       %{bundle}-%{version}.tar.gz

BuildRequires: %{?scl_prefix_maven}mvn(org.osgi:org.osgi.compendium)
BuildRequires: %{?scl_prefix_maven}mvn(org.osgi:org.osgi.core)
BuildRequires: %{?scl_prefix_java_common}mvn(org.ow2.asm:asm-all:5)
BuildRequires: %{?scl_prefix_maven}mvn(org.apache.felix:felix-parent:pom:)

# Test deps
BuildRequires: %{?scl_prefix_java_common}mvn(commons-io:commons-io)
BuildRequires: %{?scl_prefix_java_common}mvn(commons-lang:commons-lang)
BuildRequires: %{?scl_prefix_java_common}mvn(junit:junit)
BuildRequires: %{?scl_prefix_java_common}mvn(org.easymock:easymock:3)
BuildRequires: %{?scl_prefix}mvn(org.mockito:mockito-all)
# BuildRequires: mvn(org.apache.felix:org.apache.felix.scr.annotations)

BuildRequires: %{?scl_prefix_java_common}maven-local
BuildRequires: %{?scl_prefix_maven}maven-remote-resources-plugin
BuildRequires: %{?scl_prefix_maven}maven-site-plugin

BuildArch:     noarch

%description
Provides the implementation to generate Declarative Services and Metatype
Service descriptors from Java 5 Annotations and/or JavaDoc tags.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
%setup -q -n %{bundle}-%{version}

%pom_remove_dep org.ow2.asm:asm-all:5.0.2
%pom_add_dep org.ow2.asm:asm-all:5.0.3:compile

%mvn_file :%{bundle} %{project}/%{bundle}
%{?scl:EOF}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
%mvn_build -f -- 
%{?scl:EOF}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
%mvn_install
%{?scl:EOF}

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Mon Sep 28 2015 jkang@redhat.com - 1.12.0-3
- SCL-ize package

* Tue Jun 02 2015 Jie Kang <jkang@redhat.com>
- Initial package
